# Backup space
#backup_lvm_hcloudvol_size: 30
#backup_lvm_hcloudvol_count: 8

backup_user_ssh_privkey: "{{ backup_user_ssh_privkey_vault }}"

# Admin access for S3 Storage on stage devnso
devnso_minio_admin_accesskey: "{{ devnso_minio_admin_accesskey_vault }}"
devnso_minio_admin_secretkey: "{{ devnso_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on stage devnso all buckets
devnso_minio_user_read_only_accesskey: "{{ devnso_minio_user_read_only_accesskey_vault }}"
devnso_minio_user_read_only_secretkey: "{{ devnso_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage devnso bucket wordpress 
devnso_minio_user_read_write_wordpress_accesskey: "{{ devnso_minio_user_read_write_wordpress_accesskey_vault }}"
devnso_minio_user_read_write_wordpress_secretkey: "{{ devnso_minio_user_read_write_wordpress_secretkey_vault }}"

# ReadWrite access for S3 Storage on stage devnso bucket postgres 
devnso_minio_user_read_write_postgres_accesskey: "{{ devnso_minio_user_read_write_postgres_accesskey_vault }}"
devnso_minio_user_read_write_postgres_secretkey: "{{ devnso_minio_user_read_write_postgres_secretkey_vault }}"

# Admin access for S3 Storage on "stage" keycloak
keycloak_minio_admin_accesskey: "{{ keycloak_minio_admin_accesskey_vault }}"
keycloak_minio_admin_secretkey: "{{ keycloak_minio_admin_secretkey_vault }}"

# Readonly access for S3 Storage on "stage" keycloak all buckets
keycloak_minio_user_read_only_accesskey: "{{ keycloak_minio_user_read_only_accesskey_vault }}"
keycloak_minio_user_read_only_secretkey: "{{ keycloak_minio_user_read_only_secretkey_vault }}"

# ReadWrite access for S3 Storage on "stage" keycloak bucket postgres 
keycloak_minio_user_read_write_postgres_accesskey: "{{ keycloak_minio_user_read_write_postgres_accesskey_vault }}"
keycloak_minio_user_read_write_postgres_secretkey: "{{ keycloak_minio_user_read_write_postgres_secretkey_vault }}"

minio_stage_dicts:
  - {
      stage: "devnso",
      url: "https://s3storage-minio-devnso.smardigo.digital",
      read_only_accesskey: "{{ devnso_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ devnso_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ devnso_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ devnso_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ devnso_minio_admin_accesskey }}",
      admin_secretkey: "{{ devnso_minio_admin_secretkey }}",
      hour: "3",
      minute: "30",
      bucket: "postgres"
    }
  - {
      stage: "devnso",
      url: "https://s3storage-minio-devnso.smardigo.digital",
      read_only_accesskey: "{{ devnso_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ devnso_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ devnso_minio_user_read_write_wordpress_accesskey }}",
      read_write_secretkey: "{{ devnso_minio_user_read_write_wordpress_secretkey }}",
      admin_accesskey: "{{ devnso_minio_admin_accesskey }}",
      admin_secretkey: "{{ devnso_minio_admin_secretkey }}",
      hour: "3",
      minute: "40",
      bucket: "wordpress"
    }
  - {
      stage: "keycloak",
      url: "https://s3storage-keycloak-devnso.smardigo.digital",
      read_only_accesskey: "{{ keycloak_minio_user_read_only_accesskey }}",
      read_only_secretkey: "{{ keycloak_minio_user_read_only_secretkey }}",
      read_write_accesskey: "{{ keycloak_minio_user_read_write_postgres_accesskey }}",
      read_write_secretkey: "{{ keycloak_minio_user_read_write_postgres_secretkey }}",
      admin_accesskey: "{{ keycloak_minio_admin_accesskey }}",
      admin_secretkey: "{{ keycloak_minio_admin_secretkey }}",
      hour: "3",
      minute: "50",
      bucket: "postgres"
    }
